package com.ruoyi.traceability.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.traceability.mapper.ProLyUploadMapper;
import com.ruoyi.traceability.domain.ProLyUpload;
import com.ruoyi.traceability.service.IProLyUploadService;
import com.ruoyi.common.core.text.Convert;

/**
 * 冷压数据上传Service业务层处理
 * 
 * @author wenjy
 * @date 2022-11-22
 */
@Service
public class ProLyUploadServiceImpl implements IProLyUploadService 
{
    @Autowired
    private ProLyUploadMapper proLyUploadMapper;

    /**
     * 查询冷压数据上传
     * 
     * @param id 冷压数据上传主键
     * @return 冷压数据上传
     */
    @Override
    public ProLyUpload selectProLyUploadById(Long id)
    {
        return proLyUploadMapper.selectProLyUploadById(id);
    }

    /**
     * 查询冷压数据上传列表
     * 
     * @param proLyUpload 冷压数据上传
     * @return 冷压数据上传
     */
    @Override
    public List<ProLyUpload> selectProLyUploadList(ProLyUpload proLyUpload)
    {
        return proLyUploadMapper.selectProLyUploadList(proLyUpload);
    }

    /**
     * 新增冷压数据上传
     * 
     * @param proLyUpload 冷压数据上传
     * @return 结果
     */
    @Override
    public int insertProLyUpload(ProLyUpload proLyUpload)
    {
        return proLyUploadMapper.insertProLyUpload(proLyUpload);
    }

    /**
     * 修改冷压数据上传
     * 
     * @param proLyUpload 冷压数据上传
     * @return 结果
     */
    @Override
    public int updateProLyUpload(ProLyUpload proLyUpload)
    {
        return proLyUploadMapper.updateProLyUpload(proLyUpload);
    }

    /**
     * 批量删除冷压数据上传
     * 
     * @param ids 需要删除的冷压数据上传主键
     * @return 结果
     */
    @Override
    public int deleteProLyUploadByIds(String ids)
    {
        return proLyUploadMapper.deleteProLyUploadByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除冷压数据上传信息
     * 
     * @param id 冷压数据上传主键
     * @return 结果
     */
    @Override
    public int deleteProLyUploadById(Long id)
    {
        return proLyUploadMapper.deleteProLyUploadById(id);
    }
}
